[csw-devel] SF.net SVN: gar:[21391] csw/mgar/pkg/mysql5/branches/mysql-5.6.x

lblume at users.sourceforge.net lblume at users.sourceforge.net
Tue Jun 25 14:14:09 CEST 2013


Revision: 21391
          http://gar.svn.sourceforge.net/gar/?rev=21391&view=rev
Author:   lblume
Date:     2013-06-25 12:14:07 +0000 (Tue, 25 Jun 2013)
Log Message:
-----------
mysql5/branches/mysql-5.6.x: Bump to 5.6.12 based on the 5.5 recipe and the settings of the official build

Modified Paths:
--------------
    csw/mgar/pkg/mysql5/branches/mysql-5.6.x/Makefile
    csw/mgar/pkg/mysql5/branches/mysql-5.6.x/checksums
    csw/mgar/pkg/mysql5/branches/mysql-5.6.x/files/CSWmysql5.postinstall
    csw/mgar/pkg/mysql5/branches/mysql-5.6.x/files/cswmysql5.tpl

Modified: csw/mgar/pkg/mysql5/branches/mysql-5.6.x/Makefile
===================================================================
--- csw/mgar/pkg/mysql5/branches/mysql-5.6.x/Makefile	2013-06-23 17:57:18 UTC (rev 21390)
+++ csw/mgar/pkg/mysql5/branches/mysql-5.6.x/Makefile	2013-06-25 12:14:07 UTC (rev 21391)
@@ -10,17 +10,38 @@
 # http://forge.mysql.com/wiki/Autotools_to_CMake_Transition_Guide
 
 
-PROJ_NAME = mysql
-NAME = $(PROJ_NAME)5
+PROJ_NAME    = mysql
+NAME         = $(PROJ_NAME)5
 BASE_VERSION = 5.6
-PATCHLEVEL = 10
-ALTS_PRIO = 56
+PATCHLEVEL   = 12
+ALTS_PRIO    = 56
 VERSION = $(BASE_VERSION).$(PATCHLEVEL)
 
 # Useful when making a series of builds on the same day
 # GARFLAVOR ?= DBG
 
+PACKAGING_PLATFORMS = solaris9-sparc solaris9-i386
+PACKAGING_PLATFORMS += solaris10-sparc solaris10-i386
 
+# Use newest Sun Studio on Solaris10 to solve problems on Solaris10 x86
+# 64bit build:
+ifneq ($(shell /usr/bin/uname -r),5.9)
+       GARCOMPILER = SOS12U3
+endif
+
+# There is some assembler code, which doesn't work on sparcv8, and I don't see
+# an easy way to switch it off.
+ISA_DEFAULT_sparc-5.9 = sparcv8plus
+
+# Solaris 10 needs a special map file since we need libnsl Version 1.9.1
+# and libc 1.22.5
+
+ifneq ($(shell /usr/bin/uname -r),5.9)
+	LINKER_MAPS ?= -M "$(abspath $(WORKDIR)/map.mysql)"
+endif
+
+
+
 DISTNAME = mysql-$(VERSION)
 SPKG_SOURCEURL = http://www.mysql.com/
 
@@ -30,16 +51,20 @@
   (Structured Query Language) database server.
 endef
 
-# There are problems with the build using Sun Studio.
-# GARCOMPILER = SOS12
-# EXTRA_CFLAGS = -mt -D_POSIX_C_SOURCE=199506L -D__EXTENSIONS__
-# EXTRA_CXXFLAGS = -mt -D_POSIX_C_SOURCE=199506L -D__EXTENSIONS__
-GARCOMPILER = GNU
+# Those options follow those of the official builds
+EXTRA_CFLAGS-sparc = -Xa -xstrconst 
+EXTRA_CFLAGS-i386  = -fsimple=1 -ftrap=%none -nofstore -xbuiltin=%all -xlibmil -xlibmopt
+EXTRA_CXXFLAGS-sparc = -noex 
+EXTRA_CXXFLAGS-i386  = -fsimple=1 -ftrap=%none -nofstore -xbuiltin=%all -features=no%except -xlibmil -xlibmopt
+EXTRA_CFLAGS   += $(EXTRA_CFLAGS-$(GARCH)) -g -mt -KPIC -DDBUG_OFF -DHAVE_OPENSSL -DMULTI_THREADED -lm -xnorunpath
+EXTRA_CXXFLAGS += $(EXTRA_CXXFLAGS-$(GARCH)) -g0 -mt -KPIC -DDBUG_OFF -DHAVE_OPENSSL -DMULTI_THREADED -lm -norunpath
 
-NOGITPATCH ?= 1
+# The official build used -xO2 on 32 bit x86, -xO3 for 64 bit
+# Use that for all builds
+OPT_FLAGS_SOS-32 = -xO2
+OPT_FLAGS_SOS-64 = -xO3
+OPT_FLAGS_SOS = $(OPT_FLAGS_SOS-$(MEMORYMODEL))
 
-#Mapfile:
-LINKER_MAPS ?= -M "$(abspath $(WORKDIR)/map.mysql)"
 
 INITSMF = $(sysconfdir)/init\.d/csw$(NAME)
 
@@ -65,21 +90,14 @@
 PKGFILES_CSWmysql-dev  += $(mandir)/man1/mysql_config.*
 PKGFILES_CSWmysql-dev  += $(prefix)/include.*
 PKGFILES_CSWmysql-dev  += /opt/csw/include/mysql
-CHECKPKG_OVERRIDES_CSWmysql-dev += file-with-bad-content|/usr/local|root$(mandir)/man1/mysql_config.1
-CHECKPKG_OVERRIDES_CSWmysql-dev += file-with-bad-content|/usr/local|root$(mandir)/man1/mysql_config.1
-#PATCHFILES += 0003-I-HATE-CMAKE.patch
-# PATCHFILES += 0003-WHY-IS-CMAKE-TRYING-TO-BE-SMARTER-THAN-ME.patch
-PATCHFILES += 0005-Do-not-strip-RPATH-from-binaries.patch
-#PATCHFILES += 0002-do_not_use_libstlport.patch
-PATCHFILES += mysql-bug.67018.patch
-PATCHFILES += 0003-it_is_lz_not_lzlib.patch
 
 PACKAGES += CSWlibmysqlclient$(MYSQL_LIB_VER)
 PKGFILES_CSWlibmysqlclient$(MYSQL_LIB_VER) += $(call baseisadirs,$(libdir),libmysqlclient\.so\.$(MYSQL_LIB_VER)(\.\d+)*)
 SPKG_DESC_CSWlibmysqlclient$(MYSQL_LIB_VER) += MySQL $(BASE_VERSION) client library, libmysqlclient.so.$(MYSQL_LIB_VER)
 RUNTIME_DEP_PKGS_CSWlibmysqlclient$(MYSQL_LIB_VER) += CSWlibz1
-RUNTIME_DEP_PKGS_CSWlibmysqlclient$(MYSQL_LIB_VER) += CSWlibssl0-9-8
-RUNTIME_DEP_PKGS_CSWlibmysqlclient18 += CSWlibgcc-s1
+RUNTIME_DEP_PKGS_CSWlibmysqlclient$(MYSQL_LIB_VER)_5.9 += CSWlibssl1-0-0
+RUNTIME_DEP_PKGS_CSWlibmysqlclient$(MYSQL_LIB_VER)_5.10 += CSWlibssl1-0-0
+RUNTIME_DEP_PKGS_CSWlibmysqlclient$(MYSQL_LIB_VER) += $(RUNTIME_DEP_PKGS_CSWlibmysqlclient$(MYSQL_LIB_VER)_$(GAROSREL))
 
 PACKAGES += CSWlibmysqlclient-r$(MYSQL_LIB_VER)
 PKGFILES_CSWlibmysqlclient-r$(MYSQL_LIB_VER) += $(call baseisadirs,$(libdir),libmysqlclient_r\.so\.$(MYSQL_LIB_VER)(\.\d+)*)
@@ -112,43 +130,53 @@
 PKGFILES_CSW$(NAME)client += $(foreach bin_name,$(client_programs),$(mandir)/man1/$(bin_name)\.1)
 PKGFILES_CSW$(NAME)client += $(foreach bin_name,$(client_programs),/opt/csw/bin/$(bin_name))
 PKGFILES_CSW$(NAME)client += $(foreach bin_name,$(client_programs),/opt/csw/sbin/$(bin_name))
-RUNTIME_DEP_PKGS_CSW$(NAME)client += CSWlibgcc-s1
-# RUNTIME_DEP_PKGS_CSW$(NAME)client += CSWlibmysqlclient$(MYSQL_LIB_VER)
-# RUNTIME_DEP_PKGS_CSW$(NAME)client += CSWlibmysqlclient-r$(MYSQL_LIB_VER)
-# RUNTIME_DEP_PKGS_CSW$(NAME)client += CSWlibncursesw5
-RUNTIME_DEP_PKGS_CSW$(NAME)client += CSWlibstdc++6
 RUNTIME_DEP_PKGS_CSW$(NAME)client += CSWlibz1
-RUNTIME_DEP_PKGS_CSW$(NAME)client += CSWlibssl0-9-8
+RUNTIME_DEP_PKGS_CSW$(NAME)client_5.9 += CSWlibssl1-0-0
+RUNTIME_DEP_PKGS_CSW$(NAME)client_5.10 += CSWlibssl1-0-0
+RUNTIME_DEP_PKGS_CSW$(NAME)client += $(RUNTIME_DEP_PKGS_CSW$(NAME)client_$(GAROSREL))
 CHECKPKG_OVERRIDES_CSW$(NAME)client += bad-rpath-entry
 
 # It's intentional. There's a sparcv8-incompatible assembler code there, so we
 # must build for sparcv8+ on Solaris 9.
-CHECKPKG_OVERRIDES_CSW$(NAME)client += binary-architecture-does-not-match-placement
-CHECKPKG_OVERRIDES_CSW$(NAME) += binary-architecture-does-not-match-placement
-CHECKPKG_OVERRIDES_CSWlibmysqlclient18 += binary-architecture-does-not-match-placement
+ifeq ($(shell /usr/bin/uname -pr),5.9 sparc)
+  CHECKPKG_OVERRIDES_CSW$(NAME)client += binary-architecture-does-not-match-placement
+  CHECKPKG_OVERRIDES_CSW$(NAME) += binary-architecture-does-not-match-placement
+  CHECKPKG_OVERRIDES_CSWlibmysqlclient18 += binary-architecture-does-not-match-placement
+endif
 
+CHECKPKG_OVERRIDES_CSWlibmysqlclient18 += bad-rpath-entry
+
 PACKAGES += CSW$(NAME)
-# RUNTIME_DEP_PKGS_CSW$(NAME) += CSWlibmysqlclient-r$(MYSQL_LIB_VER)
-# RUNTIME_DEP_PKGS_CSW$(NAME) += CSWlibmysqlclient$(MYSQL_LIB_VER)
 SPKG_DESC_CSW$(NAME) = Multithreaded SQL database
 RUNTIME_DEP_PKGS_CSW$(NAME) += CSW$(NAME)client
-RUNTIME_DEP_PKGS_CSW$(NAME) += CSWlibgcc-s1
-RUNTIME_DEP_PKGS_CSW$(NAME) += CSWlibstdc++6
-# RUNTIME_DEP_PKGS_CSW$(NAME) += CSWlibwrap1
 RUNTIME_DEP_PKGS_CSW$(NAME) += CSWlibz1
-RUNTIME_DEP_PKGS_CSW$(NAME) += CSWlibssl0-9-8
+RUNTIME_DEP_PKGS_CSW$(NAME) += CSWlibstlport1
+RUNTIME_DEP_PKGS_CSW$(NAME)_5.9 += CSWlibssl1-0-0
+RUNTIME_DEP_PKGS_CSW$(NAME)_5.10 += CSWlibssl1-0-0
+RUNTIME_DEP_PKGS_CSW$(NAME) += $(RUNTIME_DEP_PKGS_CSW$(NAME)_$(GAROSREL))
 CHECKPKG_OVERRIDES_CSW$(NAME) += bad-rpath-entry
 CHECKPKG_OVERRIDES_CSW$(NAME) += file-with-bad-content
+CHECKPKG_OVERRIDES_CSW$(NAME) += no-direct-binding|/opt/csw/libexec/mysqld|is|not|directly|bound|to|soname|libmtmalloc.so.1
+CHECKPKG_OVERRIDES_CSW$(NAME) += no-direct-binding|/opt/csw/libexec/sparcv9/mysqld|is|not|directly|bound|to|soname|libmtmalloc.so.1
+CHECKPKG_OVERRIDES_CSW$(NAME) += no-direct-binding|/opt/csw/libexec/amd64/mysqld|is|not|directly|bound|to|soname|libmtmalloc.so.1
 
+# An example:
+# s9_preload.so.1|is|needed|by|/opt/csw/bin/innochecksum|but|never|used
+#CHECKPKG_OVERRIDES_CSW$(NAME) += soname-unused
+
 EXTRA_MERGE_EXCLUDE_FILES += $(prefix)/mysql-test.*
 EXTRA_MERGE_EXCLUDE_FILES += $(prefix)/sql-bench.*
 EXTRA_MERGE_EXCLUDE_FILES += $(datadir)/mysql-test.*
 
+# Enable 64 bits, but not for Solaris 9 x86
+BUILD64_5.9_sparc = 1
+BUILD64_5.10_sparc = 1
+BUILD64_5.9_i386 =
+BUILD64_5.10_i386 = 1
+BUILD64 = $(BUILD64_$(GAROSREL)_$(GARCH))
 
-# Enable 64 bits build
-BUILD64 = 1
-
-MASTER_SITES = http://ftp.heanet.ie/mirrors/www.mysql.com/Downloads/MySQL-$(BASE_VERSION)/
+MASTER_SITES  = http://ftp.heanet.ie/mirrors/www.mysql.com/Downloads/MySQL-$(BASE_VERSION)/
+MASTER_SITES += http://mysql.skynet.be/Downloads/MySQL-$(BASE_VERSION)/
 DISTFILES  = mysql-$(VERSION).tar.gz
 DISTFILES += csw$(NAME).tpl
 DISTFILES += quick_start-csw
@@ -164,69 +192,68 @@
 BUILD_DEP_PKGS += CSWcmake
 BUILD_DEP_PKGS += CSWbison
 
-# Set ./configure options
-CONFIGURE_ARGS  = $(DIRPATHS)
-CONFIGURE_ARGS += --disable-assembler
-# Why not have a docs package?
-# CONFIGURE_ARGS += --without-docs
-CONFIGURE_ARGS += --enable-local-infile
-CONFIGURE_ARGS += --with-charset=utf8
-CONFIGURE_ARGS += --with-extra-charsets=all
-CONFIGURE_ARGS += --with-low-memory
-CONFIGURE_ARGS += --with-pthread
-CONFIGURE_ARGS += --with-readline
-CONFIGURE_ARGS += --with-zlib-dir=$(BUILD_PREFIX)
-CONFIGURE_ARGS += --with-ssl=$(BUILD_PREFIX)
-CONFIGURE_ARGS += --with-plugins=max-no-ndb
-CONFIGURE_ARGS += --with-comment="(OpenCSW)"
-CONFIGURE_ARGS += --with-mysqld-user=mysql
-CONFIGURE_ARGS += --with-fast-mutexes
-CONFIGURE_ARGS += --with-libwrap
-CONFIGURE_ARGS += --with-mysqld-libs=-lmtmalloc
-CONFIGURE_ARGS += --with-big-tables
-CONFIGURE_ARGS += --enable-thread-safe-client
-CONFIGURE_ARGS_DBG = --with-debug
-CONFIGURE_ARGS += $(CONFIGURE_ARGS_$(GARFLAVOR))
-
 # http://forge.mysql.com/wiki/Autotools_to_CMake_Transition_Guide
 CMAKE_ARGS += -DCMAKE_INSTALL_PREFIX=$(prefix)
+CMAKE_ARGS += "-DCMAKE_BUILD_WITH_INSTALL_RPATH:BOOL=ON"
 CMAKE_ARGS += -DINSTALL_LAYOUT=RPM
 CMAKE_ARGS += -DMYSQL_DATADIR=$(localstatedir)
 CMAKE_ARGS += -DSYSCONFDIR=$(sysconfdir)
 CMAKE_ARGS += -DINSTALL_BINDIR=$(subst $(prefix)/,,$(bindir))
 CMAKE_ARGS += -DINSTALL_SBINDIR=$(subst $(prefix)/,,$(libexecdir))
-# CMAKE_ARGS += -DINSTALL_MANDIR=$(subst $(prefix)/,,$(mandir))
 CMAKE_ARGS += -DINSTALL_LIBDIR=$(subst $(prefix)/,,$(libdir))
 CMAKE_ARGS += -DINSTALL_PLUGINDIR=$(subst $(prefix)/,,$(libdir))/$(NAME)/plugin
-CMAKE_ARGS += -DWITH_READLINE=1
 CMAKE_ARGS += -DWITH_LIBWRAP=1
 CMAKE_ARGS += -DWITH_SSL=system
 CMAKE_ARGS += -DWITH_ZLIB=system
 CMAKE_ARGS += -DDEFAULT_CHARSET=utf8
 CMAKE_ARGS += -DDEFAULT_COLLATION=utf8_general_ci
-CMAKE_ARGS += -DWITH_COMMENT='OpenCSW'
-#Hardcode Sunstudio compiler:
-#CMAKE_ARGS += -DCMAKE_C_COMPILER="/opt/solarisstudio12.3/bin/cc"
-#CMAKE_ARGS += -DCMAKE_CXX_COMPILER="/opt/solarisstudio12.3/bin/CC"
-CMAKE_ARGS += -DCMAKE_C_FLAGS="$(CFLAGS)"
-CMAKE_ARGS += -DCMAKE_CXX_FLAGS="$(CXXFLAGS)"
+CMAKE_ARGS += -DCOMPILATION_COMMENT='OpenCSW'
 CMAKE_ARGS += -DBUILD_CONFIG=mysql_release
-# CMAKE_ARGS += -DOPENSSL_INCLUDE_DIR="$(includedir)"
-# CMAKE_ARGS += -DCMAKE_LIBRARY_PATH="$(libdir)"
-# CMAKE_ARGS += -DCMAKE_PREFIX_PATH="$(prefix)"
 CMAKE_ARGS += -DOPENSSL_ROOT_DIR=$(prefix)
-# CMAKE_ARGS += -DOPENSSL_SSL_LIBRARIES=$(libdir)/libssl.so
-# CMAKE_ARGS += -DOPENSSL_CRYPTO_LIBRARIES=$(libdir)/libcrypto.so
+CMAKE_ARGS += -DC_FLAGS="$(CFLAGS)"
+CMAKE_ARGS += -DCXX_FLAGS="$(CXXFLAGS)"
+CMAKE_ARGS += -DCMAKE_CXX_LINK_FLAGS"$(LDFLAGS)"
+CMAKE_ARGS += -DCMAKE_LIBRARY_PATH="$(libdir)"
+CMAKE_ARGS += -DCMAKE_PREFIX_PATH="$(prefix)"
 CMAKE_ARGS += -DCMAKE_INCLUDE_PATH="$(includedir)"
-CMAKE_ARGS += -DCMAKE_LIBRARY_PATH="$(libdir)"
-CMAKE_ARGS += "-DCMAKE_C_FLAGS=$(CFLAGS)"
-CMAKE_ARGS += "-DCMAKE_CXX_FLAGS=$(CXXFLAGS)"
 CMAKE_ARGS += -DCMAKE_VERBOSE_MAKEFILE=ON
-# TODO: Make the tests pass. They don't at the moment.
-SKIPTEST ?= 1
-TEST_SCRIPTS = custom
-TEST_TARGETS = check
+CMAKE_ARGS += -DBISON_EXECUTABLE=/opt/csw/bin/bison
 
+# The line below come from the official MySQL build configuration
+CMAKE_ARGS += "-DENABLED_PROFILING:BOOL=ON"
+CMAKE_ARGS += "-DENABLE_DEBUG_SYNC:BOOL=ON"
+CMAKE_ARGS += "-DENABLE_DOWNLOADS:BOOL=OFF"
+CMAKE_ARGS += "-DENABLE_GCOV:BOOL=OFF"
+CMAKE_ARGS += "-DENABLE_GPROF:BOOL=OFF"
+CMAKE_ARGS += "-DENABLE_MEMCACHED_SASL:BOOL=OFF"
+CMAKE_ARGS += "-DENABLE_MEMCACHED_SASL_PWDB:BOOL=OFF"
+CMAKE_ARGS += "-DFEATURE_SET:STRING=community"
+CMAKE_ARGS += "-DMYSQL_MAINTAINER_MODE:BOOL=OFF"
+CMAKE_ARGS += "-DOPTIMIZER_TRACE:BOOL=ON"
+CMAKE_ARGS += "-DWITH_ARCHIVE_STORAGE_ENGINE:BOOL=ON"
+CMAKE_ARGS += "-DWITH_BLACKHOLE_STORAGE_ENGINE:BOOL=ON"
+CMAKE_ARGS += "-DWITH_DEBUG:BOOL=OFF"
+CMAKE_ARGS += "-DWITH_DEFAULT_COMPILER_OPTIONS:BOOL=ON"
+CMAKE_ARGS += "-DWITH_DEFAULT_FEATURE_SET:BOOL=ON"
+CMAKE_ARGS += "-DWITH_EDITLINE:STRING=bundled"
+CMAKE_ARGS += "-DWITH_EMBEDDED_SERVER:BOOL=ON"
+CMAKE_ARGS += "-DWITH_EXAMPLE_STORAGE_ENGINE:BOOL=OFF"
+CMAKE_ARGS += "-DWITH_EXTRA_CHARSETS:STRING=all"
+CMAKE_ARGS += "-DWITH_FEDERATED_STORAGE_ENGINE:BOOL=ON"
+CMAKE_ARGS += "-DWITH_INNOBASE_STORAGE_ENGINE:BOOL=ON"
+CMAKE_ARGS += "-DWITH_INNODB_MEMCACHED:BOOL=1"
+CMAKE_ARGS += "-DWITH_LIBEVENT:STRING=bundled"
+CMAKE_ARGS += "-DWITH_LIBWRAP:BOOL=OFF"
+CMAKE_ARGS += "-DWITH_PARTITION_STORAGE_ENGINE:BOOL=ON"
+CMAKE_ARGS += "-DWITH_PERFSCHEMA_STORAGE_ENGINE:BOOL=ON"
+CMAKE_ARGS += "-DWITH_PIC:BOOL=ON"
+CMAKE_ARGS += "-DWITH_READLINE:BOOL=ON"
+CMAKE_ARGS += "-DWITH_UNIT_TESTS:BOOL=ON"
+CMAKE_ARGS += "-DWITH_VALGRIND:BOOL=OFF"
+ifneq ($(shell /usr/bin/uname -r),5.9)
+CMAKE_ARGS += "-DENABLE_DTRACE:BOOL=ON"
+endif
+
 USERGROUP = /etc/opt/csw/pkg/CSW$(NAME)/cswusergroup
 
 PROTOTYPE_MODIFIERS = dbdir
@@ -242,7 +269,6 @@
 CHECKPKG_OVERRIDES_CSW$(NAME)test += file-with-bad-content
 CHECKPKG_OVERRIDES_CSW$(NAME)test += surplus-dependency|CSW$(NAME)
 
-CHECKPKG_OVERRIDES_CSW$(NAME)client += file-with-bad-content|/usr/local|root$(prefix)/share/man/man1/mysqlaccess.1
 # This could be reviewed.
 CHECKPKG_OVERRIDES_CSW$(NAME) += file-with-bad-content
 
@@ -289,17 +315,11 @@
 
 CONFIGURE_SCRIPTS = custom
 
+TEST_TARGET = test
+
 include gar/category.mk
 
-test-custom:
-	alias sh=/usr/bin/bash;                           \
-		cd $(WORKSRC)/mysql-test;                       \
-		perl mysql-test-run.pl --mem --big-test --force \
-		--skip-test=archive-big --skip-test=/gis/
-
 configure-custom:
-	#		--debug-output \
-	#		--debug-trycompile \
 	(cd $(WORKSRC) && \
 	 	/usr/bin/env -i \
 		  $(CONFIGURE_ENV) \
@@ -310,11 +330,11 @@
 
 post-configure-modulated:
 	gsed \
-		-e 's+ at prefix@+$(prefix)+' \
-		-e 's+ at localstatedir@+$(localstatedir)+' \
-		-e 's+ at sysconfdir@+$(sysconfdir)+' \
-		-e 's+ at bindir@+$(bindir)+' \
-		-e 's+ at BASE_VERSION@+$(BASE_VERSION)+' \
+		-e 's+ at prefix@+$(prefix)+g' \
+		-e 's+ at localstatedir@+$(localstatedir)+g' \
+		-e 's+ at sysconfdir@+$(sysconfdir)+g' \
+		-e 's+ at bindir@+$(bindir)+g' \
+		-e 's+ at BASE_VERSION@+$(BASE_VERSION)+g' \
 		< $(WORKDIR)/csw$(NAME).tpl \
 		> $(WORKDIR)/csw$(NAME)
 	@$(MAKECOOKIE)
@@ -322,16 +342,12 @@
 post-install-modulated:
 	ginstall -m 755 -d $(DESTDIR)$(sysconfdir)/init.d
 	ginstall -m 755 $(WORKDIR)/csw$(NAME) $(DESTDIR)$(sysconfdir)/init.d
-	# # Add versions to binary names
-	# for f in $(EXECUTABLES); do \
-	# 	gmv -v "$(DESTDIR)$(bindir)/$${f}" \
-	# 	       "$(DESTDIR)$(bindir)/$${f}"; \
-	# done
 	(cd $(DESTDIR)$(libdir); rm libmysqlclient_r.so.18; \
 		ln -s libmysqlclient.so.18 libmysqlclient_r.so.18)
 	(cd $(DESTDIR)$(libdir); rm libmysqlclient_r.so.18.0.0; \
 		ln -s libmysqlclient.so.18.0.0 libmysqlclient_r.so.18.0.0)
-	# gmv -vf $(DESTDIR)$(mandir)/man1/mysql_config.1
+	# Do not distribute libstlport with MySQL, use a separate one
+	(cd $(DESTDIR)$(libdir); rm libstlport.*)
 	@$(MAKECOOKIE)
 
 post-merge:
@@ -344,7 +360,6 @@
 		$(PKGROOT)/opt/csw/share/$(NAME)/doc/README-$(BASE_VERSION).CSW
 	# The quick_start-csw file is almost the same as postinstall.
 	# [ -d $(PKGROOT)$(datadir)/mysql ]
-	# ginstall -m 755 $(FILEDIR)/quick_start-csw $(PKGROOT)$(datadir)/mysql
 	ginstall -m 755 -d $(PKGROOT)$(sysconfdir)/pkg/CSW$(NAME)
 	ginstall -m 644 $(FILEDIR)/cswusergroup \
 		        $(PKGROOT)$(sysconfdir)/pkg/CSW$(NAME)

Modified: csw/mgar/pkg/mysql5/branches/mysql-5.6.x/checksums
===================================================================
--- csw/mgar/pkg/mysql5/branches/mysql-5.6.x/checksums	2013-06-23 17:57:18 UTC (rev 21390)
+++ csw/mgar/pkg/mysql5/branches/mysql-5.6.x/checksums	2013-06-25 12:14:07 UTC (rev 21391)
@@ -1 +1 @@
-9dcee911fb4bc7e977a6b63f4d3ffa63  mysql-5.6.10.tar.gz
+0314b72fe1698d8e49e039d27523cce7  mysql-5.6.12.tar.gz

Modified: csw/mgar/pkg/mysql5/branches/mysql-5.6.x/files/CSWmysql5.postinstall
===================================================================
--- csw/mgar/pkg/mysql5/branches/mysql-5.6.x/files/CSWmysql5.postinstall	2013-06-23 17:57:18 UTC (rev 21390)
+++ csw/mgar/pkg/mysql5/branches/mysql-5.6.x/files/CSWmysql5.postinstall	2013-06-25 12:14:07 UTC (rev 21391)
@@ -87,19 +87,6 @@
 echo "Please ignore references to starting mysqld_safe in the messages above."
 echo "  These messages are from mysql_install_db.  See the following"
 echo "  for starting CSWmysql5."
-smf=no
-if [ -f /usr/sbin/svccfg -a -f /usr/sbin/svcadm ] ; then smf=yes ; fi
-if [ $smf = yes ]
-then
-	echo "Running \`svcadm enable cswmysql5\` start to start the database."
-  # First, we clear the status, since it's likely to be 'maintenance'.
-  svcadm disable cswmysql5
-  svcadm clear cswmysql5
-  svcadm enable cswmysql5
-else
-  echo "Running \`/etc/opt/csw/init.d/cswmysql\` start to start the database."
-  /etc/opt/csw/init.d/cswmysql start
-fi
 
 exit 0
 

Modified: csw/mgar/pkg/mysql5/branches/mysql-5.6.x/files/cswmysql5.tpl
===================================================================
--- csw/mgar/pkg/mysql5/branches/mysql-5.6.x/files/cswmysql5.tpl	2013-06-23 17:57:18 UTC (rev 21390)
+++ csw/mgar/pkg/mysql5/branches/mysql-5.6.x/files/cswmysql5.tpl	2013-06-25 12:14:07 UTC (rev 21391)
@@ -1,206 +1,424 @@
 #!/bin/sh
 # vim:ft=sh:
 #
-# $Id$
-# Start script for MySQL database.
+# Copyright Abandoned 1996 TCX DataKonsult AB & Monty Program KB & Detron HB
+# This file is public domain and comes with NO WARRANTY of any kind
+
+# MySQL daemon start/stop script.
+
+# Usually this is put in /etc/init.d (at least on machines SYSV R4 based
+# systems) and linked to /etc/rc3.d/S99mysql and /etc/rc0.d/K01mysql.
+# When this is done the mysql server will be started when the machine is
+# started and shut down when the systems goes down.
+
+# Comments for OpenCSW's CAS scripts
+#RC_KNUM 01
+#RC_SNUM 99
+#RC_KLEV 0,1,2,S
+#RC_SLEV 3
+#FMRI network
+#AUTOENABLE no
+
+# If you install MySQL on some other places than @prefix@, then you
+# have to do one of the following things for this script to work:
 #
-# NOTE: Make sure DB_DIR is owned BY the mysql user and group and chmod
-# 700.
+# - Run this script from within the MySQL installation directory
+# - Create a @sysconfdir@/my.cnf file with the following information:
+#   [mysqld]
+#   basedir=<path-to-mysql-installation-directory>
+# - Add the above to any other configuration file (for example ~/.my.ini)
+#   and copy my_print_defaults to /usr/bin
+# - Add the path to the mysql-installation-directory to the basedir variable
+#   below.
 #
-# First time installation can use quick_start-csw in
-#   /opt/csw/mysql5/share/mysql to build the mysql database for the
-#   grant tables.  Or create the initial database yourself.
+# If you want to affect other MySQL variables, you should make your changes
+# in the @sysconfdir@/my.cnf, ~/.my.cnf or other MySQL configuration files.
+
+# If you change base dir, you must also change datadir. These may get
+# overwritten by settings in the MySQL configuration files.
+
+basedir=
+datadir=
+
+# Default value, in seconds, afterwhich the script should timeout waiting
+# for server start.
+# Value here is overriden by value in my.cnf.
+# 0 means don't wait at all
+# Negative numbers mean to wait indefinitely
+service_startup_timeout=900
+
+# Lock directory for RedHat / SuSE.
+lockdir='/var/lock/subsys'
+lock_file_path="$lockdir/mysql"
+
+# The following variables are only set for letting mysql.server find things.
+
+# Set some defaults
+mysqld_pid_file_path=
+if test -z "$basedir"
+then
+  basedir=@prefix@
+  bindir=@bindir@
+  if test -z "$datadir"
+  then
+    datadir=@localstatedir@
+  fi
+  sbindir=@prefix@/libexec
+  libexecdir=@prefix@/libexec
+else
+  bindir="$basedir/bin"
+  if test -z "$datadir"
+  then
+    datadir="$basedir/data"
+  fi
+  sbindir="$basedir/libexec"
+  libexecdir="$basedir/libexec"
+fi
+
+# datadir_set is used to determine if datadir was set (and so should be
+# *not* set inside of the --basedir= handler.)
+datadir_set=
+
 #
-# Use my.cnf for startup options.  See MySQL documention
-#   for 'Using Option Files'.
-# Support for mysql5rc still remains in this startup script.
+# Use LSB init script functions for printing messages, if possible
 #
+lsb_functions="/lib/lsb/init-functions"
+if test -f $lsb_functions ; then
+  . $lsb_functions
+else
+  log_success_msg()
+  {
+    echo " SUCCESS! $@"
+  }
+  log_failure_msg()
+  {
+    echo " ERROR! $@"
+  }
+fi
 
-RETVAL=0
-prefix="@prefix@"
-BASEDIR="${prefix}"
-BINDIR="@bindir@"
-MYSQL_VAR="@localstatedir@"
-sysconfdir="@sysconfdir@"
-BASE_VERSION="@BASE_VERSION@"
-MYSQLD_DATADIR=$MYSQL_VAR
-MYSQLD_PID_FILE=$MYSQL_VAR/mysql.pid
-CONFFILE=${sysconfdir}/my.cnf
+PATH="/sbin:/usr/sbin:/bin:/usr/bin:$basedir/bin"
+export PATH
 
+mode=$1    # start or stop
+
+[ $# -ge 1 ] && shift
+
+
+other_args="$*"   # uncommon, but needed when called from an RPM upgrade action
+           # Expected: "--skip-networking --skip-grant-tables"
+           # They are not checked here, intentionally, as it is the resposibility
+           # of the "spec" file author to give correct arguments only.
+
+case `echo "testing\c"`,`echo -n testing` in
+    *c*,-n*) echo_n=   echo_c=     ;;
+    *c*,*)   echo_n=-n echo_c=     ;;
+    *)       echo_n=   echo_c='\c' ;;
+esac
+
+parse_server_arguments() {
+  for arg do
+    case "$arg" in
+      # $mysql5_arch must have been set (or left empty) for Solaris
+      # by the OpenCSW architecture selection bit
+      --basedir=*)  basedir=`echo "$arg" | sed -e 's/^[^=]*=//'`
+                    bindir="$basedir/bin/$mysql5_arch"
+		    if test -z "$datadir_set"; then
+		      datadir="$basedir/data"
+		    fi
+		    sbindir="$basedir/sbin/$mysql5_arch"
+		    libexecdir="$basedir/libexec/$mysql5_arch"
+        ;;
+      --datadir=*)  datadir=`echo "$arg" | sed -e 's/^[^=]*=//'`
+		    datadir_set=1
+	;;
+      --pid-file=*) mysqld_pid_file_path=`echo "$arg" | sed -e 's/^[^=]*=//'` ;;
+      --service-startup-timeout=*) service_startup_timeout=`echo "$arg" | sed -e 's/^[^=]*=//'` ;;
+    esac
+  done
+}
+
+wait_for_pid () {
+  verb="$1"           # created | removed
+  pid="$2"            # process ID of the program operating on the pid-file
+  pid_file_path="$3" # path to the PID file.
+
+  i=0
+  avoid_race_condition="by checking again"
+
+  while test $i -ne $service_startup_timeout ; do
+
+    case "$verb" in
+      'created')
+        # wait for a PID-file to pop into existence.
+        test -s "$pid_file_path" && i='' && break
+        ;;
+      'removed')
+        # wait for this PID-file to disappear
+        test ! -s "$pid_file_path" && i='' && break
+        ;;
+      *)
+        echo "wait_for_pid () usage: wait_for_pid created|removed pid pid_file_path"
+        exit 1
+        ;;
+    esac
+
+    # if server isn't running, then pid-file will never be updated
+    if test -n "$pid"; then
+      if kill -0 "$pid" 2>/dev/null; then
+        :  # the server still runs
+      else
+        # The server may have exited between the last pid-file check and now.
+        if test -n "$avoid_race_condition"; then
+          avoid_race_condition=""
+          continue  # Check again.
+        fi
+
+        # there's nothing that will affect the file.
+        log_failure_msg "The server quit without updating PID file ($pid_file_path)."
+        return 1  # not waiting any more.
+      fi
+    fi
+
+    echo $echo_n ".$echo_c"
+    i=`expr $i + 1`
+    sleep 1
+
+  done
+
+  if test -z "$i" ; then
+    log_success_msg
+    return 0
+  else
+    log_failure_msg
+    return 1
+  fi
+}
+
+### START OPENCSW ARCHITECTURE SELECTION
 # Source the configuration
-[ -r /opt/csw/mysql5/etc/mysql5rc ] && . /opt/csw/mysql5/etc/mysql5rc
-[ -r @prefix@/etc/mysql5rc ] && . @prefix@/etc/mysql5rc
-[ -r /etc/opt/csw/mysql5rc ] && . /etc/opt/csw/mysql5rc
+# This is used to define the binary architeture to run
 
-if [ -r "${sysconfdir}/my.cnf" ]; then
-  MYSQL_HOME="${MYSQL_VAR}"
-elif [ -r "${BASEDIR}/my.cnf" ]; then
-  MYSQL_HOME="${BASEDIR}"
+# Check the old location first
+[ -r @prefix@/etc/csw.conf ] && . @prefix@/etc/csw.conf
+
+# Check the current location, its content overrides the previous one
+[ -r @sysconfdir@/csw.conf ] && . @sysconfdir@/csw.conf
+
+# If the package-specific variable is not set, try the default
+if [ -z "$mysql5_arch" ]; then
+  if [ -n "$default_arch" ]; then
+    mysql5_arch="$default_arch"
+  fi
+else
+  # In that specific case, by default, there is no subdir
+  if [ "$mysql5_arch" = "i386" -o "$mysql5_arch" = "sparc" ]; then
+    mysql5_arch=""
+  fi
 fi
-export MYSQL_HOME
 
-# To get started quickly, copy a sample configuration file from
-#   $BASEDIR/share/mysql
-# For example,
-#  cp /opt/csw/mysql5/share/mysql/my-medium.cnf /opt/csw/mysql5/var/my.cnf
-#
-# Or, manually follow the database creation steps below, and have
-# mysql just use defaults for everything.
+# If a value was found
+if [ -n "$mysql5_arch" ]; then
+  if [ "$mysql5_arch" = "kernel" ]; then
+    # Use the system's default arch
+    mysql5_arch=`isainfo -k`
+  fi
 
-# 2006-03-11 Changed to only look for the grant tables database
-# 2006-04-16 Changed again.  Look for either the grant tables database
-#            or the options file.
-# 2006-12-28 Fix problem.  Look for either the grant tables database in
-#            the default location or the default options file.
-if [ ! -d "$MYSQLD_DATADIR/mysql" -a ! -f "$CONFFILE" ] ; then
-    exit 0
+  # Add the architecture suffix to the executables' directories, if it exists
+  # The binaries themselves are tested below, so the script should fail
+  # mostly gracefully if a non-present arch is set up.
+  if [ -d "$bindir/$mysql5_arch" -a \
+       -d "$sbindir/$mysql5_arch" -a \
+       -d "$libexecdir/$mysql5_arch" ]; then
+    bindir="$bindir/$mysql5_arch"
+    sbindir="$sbindir/$mysql5_arch"
+    libexecdir="$libexecdir/$mysql5_arch"
+  fi
 fi
+### END OPENCSW ARCHITECTURE SELECTION
 
-# If CONFFILE is the server default file, unset CONFFILE
-if [ "${CONFFILE}" = "${MYSQL_HOME}/my.cnf" \
-      -o \
-     "${CONFFILE}" = "${sysconfdir}/my.cnf" ]; then
-    CONFFILE=
+# Get arguments from the my.cnf file,
+# the only group, which is read from now on is [mysqld]
+if test -x ./bin/my_print_defaults
+then
+  print_defaults="./bin/my_print_defaults"
+elif test -x $bindir/my_print_defaults
+then
+  print_defaults="$bindir/my_print_defaults"
+elif test -x $bindir/mysql_print_defaults
+then
+  print_defaults="$bindir/mysql_print_defaults"
+else
+  # Try to find basedir in @sysconfdir@/my.cnf
+  conf=@sysconfdir@/my.cnf
+  print_defaults=
+  if test -r $conf
+  then
+    subpat='^[^=]*basedir[^=]*=\(.*\)$'
+    dirs=`sed -e "/$subpat/!d" -e 's//\1/' $conf`
+    for d in $dirs
+    do
+      d=`echo $d | sed -e 's/[ 	]//g'`
+      if test -x "$d/bin/my_print_defaults"
+      then
+        print_defaults="$d/bin/my_print_defaults"
+        break
+      fi
+      if test -x "$d/bin/mysql_print_defaults"
+      then
+        print_defaults="$d/bin/mysql_print_defaults"
+        break
+      fi
+    done
+  fi
+
+  # Hope it's in the PATH ... but I doubt it
+  test -z "$print_defaults" && print_defaults="my_print_defaults"
 fi
 
-# If MYSQLD_DATADIR does not contain a mysql directory, unset MYSQLD_DATADIR
-# Also, check that MYSQLD_DATADIR contains a mysql directory
-if [ ! -d "$MYSQL_HOME/mysql" -a ! -d "$MYSQLD_DATADIR/mysql" ] ; then
-    MYSQLD_DATADIR=
+#
+# Read defaults file from 'basedir'.   If there is no defaults file there
+# check if it's in the old (depricated) place (datadir) and read it from there
+#
+
+extra_args=""
+if test -r "$basedir/my.cnf"
+then
+  extra_args="-e $basedir/my.cnf"
+else
+  if test -r "$datadir/my.cnf"
+  then
+    extra_args="-e $datadir/my.cnf"
+  fi
 fi
 
-# Make sure required vars are set
-MYSQLD_PID_FILE=${MYSQLD_PID_FILE:=$MYSQL_HOME/mysql.pid}
+parse_server_arguments `$print_defaults $extra_args mysqld server mysql_server mysql.server`
 
-# If a database already exists, start whether or not there is a conf file.
-# If no conf file, the database will just use internal defaults for everything.
+#
+# Set pid file if not given
+#
+if test -z "$mysqld_pid_file_path"
+then
+  mysqld_pid_file_path=$datadir/`hostname`.pid
+else
+  case "$mysqld_pid_file_path" in
+    /* ) ;;
+    * )  mysqld_pid_file_path="$datadir/$mysqld_pid_file_path" ;;
+  esac
+fi
 
-start_it() {
-    if test -r $MYSQLD_PID_FILE ; then
-        if kill -0 `cat $MYSQLD_PID_FILE` > /dev/null 2>&1 ; then
-            echo "${MYSQLD_PROG} (`cat $MYSQLD_PID_FILE`) seems to be running."
-            return 1
-        fi
-    fi
+case "$mode" in
+  'start')
+    # Start daemon
 
-    printf "%-60s" "Starting ${MYSQLD_PROG}: "
+    # Safeguard (relative paths, core dumps..)
+    # Changed to /opt for OpenCSW to avoid mysqld_safe picking the 32 bit
+    # binary in libexec/
+    cd /opt
 
-    # 2006-03-11
-    # This script no longer creates the default database. You may create the
-    # default database manually or use
-    # /opt/csw/mysql5/share/mysql/quick_start-csw
-    #    if [ ! -d "$BASEDIR/var/mysql" ] ; then
-    #        echo MySQL core database has not been created.
-    #         echo Creating it now...
-    #       $BASEDIR/bin/mysql_install_db
-    #       chown -R mysql:mysql $BASEDIR/var
-    #    fi
+    echo $echo_n "Starting MySQL"
+    if test -x $bindir/mysqld_safe
+    then
+      # Give extra arguments to mysqld with the my.cnf file. This script
+      # may be overwritten at next upgrade.
+      $bindir/mysqld_safe --datadir="$datadir" --pid-file="$mysqld_pid_file_path" $other_args >/dev/null 2>&1 &
+      wait_for_pid created "$!" "$mysqld_pid_file_path"; return_value=$?
 
-    # 2006-04-16  --defaults-file is changed to --defaults-extra-file
-    ${BINDIR}/mysqld_safe \
-        `[ -n "$CONFFILE" ] && echo "--defaults-extra-file=$CONFFILE"` \
-        --pid-file=$MYSQLD_PID_FILE \
-        `[ -n "$MYSQLD_PROG" ] && echo "--mysqld=$MYSQLD_PROG"` \
-        `[ -n "$MYSQLD_ANSI" ] && echo "--ansi"` \
-        `[ -n "$MYSQLD_BASEDIR" ] && echo "--basedir=$MYSQLD_BASEDIR"` \
-        `[ -n "$MYSQLD_BIG_TABLES" ] && echo "--big-tables"` \
-        `[ -n "$MYSQLD_BIND_ADDRESS" ] && echo "--bind-address=$MYSQLD_BIND_ADDRESS"` \
-        `[ -n "$MYSQLD_CHARACTER_SETS" ] && echo "--character-sets-dir=$MYSQLD_CHARACTER_SETS"` \
-        `[ -n "$MYSQLD_CHROOT" ] && echo "--chroot=$MYSQLD_CHROOT"` \
-        `[ -n "$MYSQLD_DATADIR" ] && echo "--datadir=$MYSQLD_DATADIR"` \
-        `[ -n "$MYSQLD_DEFAULT_CHARSET" ] && echo "--default-character-set=$MYSQLD_DEFAULT_CHARSET"` \
-        `[ -n "$MYSQLD_DEFAULT_TABLE_TYPE" ] && echo "--default-table-type=$MYSQLD_DEFAULT_TABLE_TYPE"` \
-        `[ -n "$MYSQLD_DELAY_KEY_WRITE_TABLES" ] && echo "--delay-key-write-for-all-tables"` \
-        `[ -n "$MYSQLD_ENABLE_LOCKING" ] && echo "--enable-locking"` \
-        `[ -n "$MYSQLD_EXIT_INFO" ] && echo "--exit-info"` \
-        `[ -n "$MYSQLD_FLUSH" ] && echo "--flush"` \
-        `[ -n "$MYSQLD_INIT_FILE" ] && echo "--init-file=$MYSQLD_INIT_FILE"` \
-        `[ -n "$MYSQLD_LANGUAGE" ] && echo "--language=$MYSQLD_LANGUAGE"` \
-        `[ -n "$MYSQLD_LOG" ] && echo "--log=$MYSQLD_LOG"` \
-        `[ -n "$MYSQLD_LOG_ISAM" ] && echo "--log-isam=$MYSQLD_LOG_ISAM"` \
-        `[ -n "$MYSQLD_LOG_SLOW_QUERIES" ] && echo "--log-slow-queries=$MYSQLD_LOG_SLOW_QUERIES"` \
-        `[ -n "$MYSQLD_LOG_UPDATE" ] && echo "--log-update=$MYSQLD_LOG_UPDATE"` \
-        `[ -n "$MYSQLD_LOG_LONG_FORMAT" ] && echo "--log-long-format"` \
-        `[ -n "$MYSQLD_LOW_PRIORITY_UPDATES" ] && echo "--low-priority-updates"` \
-        `[ -n "$MYSQLD_MEMLOCK" ] && echo "--memlock"` \
-        `[ -n "$MYSQLD_MYISAM_RECOVER" ] && echo "--myisam-recover=$MYSQLD_MYISAM_RECOVER"` \
-        `[ -n "$MYSQLD_PORT" ] && echo "--port=$MYSQLD_PORT"` \
-        `[ -n "$MYSQLD_OLD_PROTOCOL" ] && echo "--old-protocol"` \
-        `[ -n "$MYSQLD_ONE_THREAD" ] && echo "--one-thread"` \
-        `[ -n "$MYSQLD_SET_VARIABLE" ] && echo "--set-variablevar=$MYSQLD_SET_VARIABLE"` \
-        `[ -n "$MYSQLD_SKIP_GRANT_TABLES" ] && echo "--skip-grant-tables"` \
-        `[ -n "$MYSQLD_SAFE_MODE" ] && echo "--safe-mode"` \
-        `[ -n "$MYSQLD_SECURE" ] && echo "--secure"` \
-        `[ -n "$MYSQLD_SKIP_CONCURRENT_INSERT" ] && echo "--skip-concurrent-insert"` \
-        `[ -n "$MYSQLD_SKIP_DELAY_KEY_WRITE" ] && echo "--skip-delay-key-write"` \
-        `[ -n "$MYSQLD_SKIP_LOCKING" ] && echo "--skip-locking"` \
-        `[ -n "$MYSQLD_SKIP_NAME_RESOLVE" ] && echo "--skip-name-resolve"` \
-        `[ -n "$MYSQLD_SKIP_NETWORKING" ] && echo "--skip-networking"` \
-        `[ -n "$MYSQLD_SKIP_NEW" ] && echo "--skip-new"` \
-        `[ -n "$MYSQLD_SKIP_HOST_CACHE" ] && echo "--skip-host-cache"` \
-        `[ -n "$MYSQLD_SKIP_SHOW_DATABASE" ] && echo "--skip-show-database"` \
-        `[ -n "$MYSQLD_SKIP_THREAD_PRIORITY" ] && echo "--skip-thread-priority"` \
-        `[ -n "$MYSQLD_SOCKET" ] && echo "--socket=$MYSQLD_SOCKET"` \
-        `[ -n "$MYSQLD_TMPDIR" ] && echo "--tmpdir=$MYSQLD_TMPDIR"` \
-        `[ -n "$MYSQLD_USER" ] && echo "--user=$MYSQLD_USER"` \
-        & >/dev/null 2>&1
-    RETVAL=$?
-    if [ $RETVAL = 0 ] ; then
-        echo "[  OK  ]"
+      # Make lock for RedHat / SuSE
+      if test -w "$lockdir"
+      then
+        touch "$lock_file_path"
+      fi
+
+      exit $return_value
     else
-        echo "[FAILED]"
-        return 1
+      log_failure_msg "Couldn't find MySQL server ($bindir/mysqld_safe)"
     fi
-    return 0
-}
+    ;;
 
-stop_it() {
+  'stop')
+    # Stop daemon. We use a signal here to avoid having to know the
+    # root password.
 
-    printf "%-60s" "Shutting down mysqld: "
-    if test -f "$MYSQLD_PID_FILE" ; then
-        pkill `pgrep_opts` mysqld_safe >/dev/null 2>&1
-        kill `cat $MYSQLD_PID_FILE` >/dev/null 2>&1
-        RETVAL=$?
+    if test -s "$mysqld_pid_file_path"
+    then
+      mysqld_pid=`cat "$mysqld_pid_file_path"`
+
+      if (kill -0 $mysqld_pid 2>/dev/null)
+      then
+        echo $echo_n "Shutting down MySQL"
+        kill $mysqld_pid
+        # mysqld should remove the pid file when it exits, so wait for it.
+        wait_for_pid removed "$mysqld_pid" "$mysqld_pid_file_path"; return_value=$?
+      else
+        log_failure_msg "MySQL server process #$mysqld_pid is not running!"
+        rm "$mysqld_pid_file_path"
+      fi
+
+      # Delete lock for RedHat / SuSE
+      if test -f "$lock_file_path"
+      then
+        rm -f "$lock_file_path"
+      fi
+      exit $return_value
     else
-        RETVAL=1
+      log_failure_msg "MySQL server PID file could not be found!"
     fi
-    if [ $RETVAL = 0 ] ; then
-        echo "[  OK  ]"
+    ;;
+
+  'restart')
+    # Stop the service and regardless of whether it was
+    # running or not, start it again.
+    if $0 stop  $other_args; then
+      $0 start $other_args
     else
-        echo "[FAILED]"
+      log_failure_msg "Failed to stop running server, so refusing to try to start."
+      exit 1
     fi
-    echo ""
-    return 0
-}
-
-pgrep_opts() {
-  if [ -x /bin/zonename ]
-  then
-    echo "-z `/bin/zonename`"
-  fi
-}
-
-case $1 in
-    start)
-    start_it
     ;;
 
-    stop)
-    stop_it
+  'reload'|'force-reload')
+    if test -s "$mysqld_pid_file_path" ; then
+      read mysqld_pid <  "$mysqld_pid_file_path"
+      kill -HUP $mysqld_pid && log_success_msg "Reloading service MySQL"
+      touch "$mysqld_pid_file_path"
+    else
+      log_failure_msg "MySQL PID file could not be found!"
+      exit 1
+    fi
     ;;
-
-    restart)
-    stop_it
-    while pgrep `pgrep_opts` ${MYSQLD_PROG} > /dev/null
-      do
-      sleep 1
-    done
-    start_it
+  'status')
+    # First, check to see if pid file exists
+    if test -s "$mysqld_pid_file_path" ; then
+      read mysqld_pid < "$mysqld_pid_file_path"
+      if kill -0 $mysqld_pid 2>/dev/null ; then
+        log_success_msg "MySQL running ($mysqld_pid)"
+        exit 0
+      else
+        log_failure_msg "MySQL is not running, but PID file exists"
+        exit 1
+      fi
+    else
+      # Try to find appropriate mysqld process
+      mysqld_pid=`pgrep $libexecdir/mysqld`
+      if test -z "$mysqld_pid" ; then
+        if test -f "$lock_file_path" ; then
+          log_failure_msg "MySQL is not running, but lock file ($lock_file_path) exists"
+          exit 2
+        fi
+        log_failure_msg "MySQL is not running"
+        exit 3
+      else
+        log_failure_msg "MySQL is running but PID file could not be found"
+        exit 4
+      fi
+    fi
     ;;
-
     *)
-    echo "Usage: $0  { start | stop | restart } "
+      # usage
+      basename=`basename "$0"`
+      echo "Usage: $basename  {start|stop|restart|reload|force-reload|status}  [ MySQL server options ]"
+      exit 1
     ;;
 esac
 
-exit $RETVAL
+exit 0

This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.



More information about the devel mailing list